Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mdm
Class Mdm9iNamingConvention

    java.lang.Object
      |
      +--oracle.olapi.metadata.mdm.Mdm9iNamingConvention

public final class Mdm9iNamingConvention
extends java.lang.Object
implements Mdm10_1_0_3_NamingConvention

An object that provides a unique identification for a custom `BaseMetadataObject`. The default owner name for a custom metadata object is `TRANSIENT`, so if, for example, an application creates a custom `MdmPrimaryDimension` named `MYPRODUCTS`, then the identification `String` for that `MdmPrimaryDimension` object is `D_TRANSIENT_MYPRODUCTS`. If you want custom metadata objects to have an owner name other than `TRANSIENT`, then create an `Mdm9iNamingConvention` with the owner name that you want and pass your `Mdm9iNamingConvention` to the `setMdmNamingConvention` method of your `MdmMetadataProvider`.

The methods of an `Mdm9iNamingConvention` are not used by an application; they are called internally by Oracle OLAP. For that reason, they are not documented.

See Also:
  `MdmNamingConvention`

Constructor Summary
`Mdm9iNamingConvention(java.lang.String ownerName)` Creates an `Mdm9iNamingConvention` that uses the specified `ownerName` for the owner name in the unique identification it generates for a custom `MdmObject` or a custom `MtmObject` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mdm9iNamingConvention

    public Mdm9iNamingConvention(java.lang.String ownerName)

  Creates an `Mdm9iNamingConvention` that uses the specified `ownerName` for the owner name in the unique identification it generates for a custom `MdmObject` or a custom `MtmObject` object.
  Parameters:
    `ownerName` - A `String` that is the owner name that you want custom `MdmObject` and custom `MtmObject` objects to have.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.